summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAnush Shetty <ashetty@redhat.com>2012-03-30 15:40:29 +0530
committerAnush Shetty <ashetty@redhat.com>2012-03-30 15:42:21 +0530
commitf4bdf771c20aaace86652e24ba836c673f72e27a (patch)
tree5a8df84b607a436bae8044b0c3419988d8090460
parentd3d0fc6a3e74ada81ec28bd0d67a2bca566602bf (diff)
Verify if opening a hardlink file fails when the target file is deletedHEADmaster
Change-Id: I839e060a3a231ee90ae6b29cbe5348c43025f2ad BUG: 808017 Signed-off-by: Anush Shetty <ashetty@redhat.com>
-rwxr-xr-xdvm/808017/testcase27
1 files changed, 27 insertions, 0 deletions
diff --git a/dvm/808017/testcase b/dvm/808017/testcase
new file mode 100755
index 0000000..2a0a033
--- /dev/null
+++ b/dvm/808017/testcase
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+source $cwd/regression_helpers
+
+$GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/brick1 2>/dev/null 1>/dev/null;
+
+$GLUSTERFSDIR/gluster volume start $global_bug_id 2>/dev/null 1>/dev/null;
+
+mount_glusterfs $global_bug_id;
+
+touch $FUSE_MOUNT/dot;
+
+ln $FUSE_MOUNT/dot $FUSE_MOUNT/dot2;
+
+sleep 2;
+
+rm -rf $FUSE_MOUNT/dot;
+
+cat $FUSE_MOUNT/dot2 2>/dev/null 1>/dev/null;
+
+ret=$?
+
+if [ $ret -eq 0 ]; then
+ exit 0;
+else
+ exit 1;
+fi \ No newline at end of file